aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: Problemas con aMule-2.0.0rc1  (Read 3704 times)

parasito

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Problemas con aMule-2.0.0rc1
« on: April 01, 2004, 01:58:14 AM »

Hola, ejecuto y tengo este error:

amule
amule: Symbol `_ZTV10wxTextCtrl' has different size in shared object, consider re-linking
Initialising aMule
Loading preferences from /home/jose/.aMule/preferences.ini
 
OOPS! - Seems like aMule crashed
--== BACKTRACE FOLLOWS: ==--
 
  • amule(_ZN9CamuleApp16OnFatalExceptionEv+0x59) [0x82a9039]
  • [1] /usr/lib/libwx_gtk-2.4.so(wxFatalSignalHandler+0x2d)
[0x403d196d]
[2] [0xffffe420]
Abortado

¿Puede ser problema por las wxwindow? Tengo instalados los paquetes que vienen con Debian Sarge porque no fui capaz de compilarlos yo mismo, no recuerdo que error tenia.
En caso de que sea problema de wxwindow, ¿como puedo compilarlos en Debian?

Gracias.
Logged

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: Problemas con aMule-2.0.0rc1
« Reply #1 on: April 01, 2004, 02:47:40 AM »

Hola,
En mi opinion es un problema en el lincaje de las librerias wx.
Si entiendes ingles, dirigete a http://www.amule.org/wiki/index.php/HowTo_Compile_In_Debian
Guarda esa pagina en tu disco duro, ya que en cualquier momento podria borrarla o renombrarla (aun estoy haciendola, no esta acabada).
Si no se te da precisamente bien el ingles, dame un toque y te hago un resumen aqui... pero haz un esfuerzo, que el tiempo no sobra :-P

Un saludo!
Logged

parasito

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Re: Problemas con aMule-2.0.0rc1
« Reply #2 on: April 01, 2004, 08:54:25 AM »

Muchas gracias.  :baby:

Voy a echarle un vistazo a la página, no problem por el inglés.

Un saludo!!
Logged

parasito

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Re: Problemas con aMule-2.0.0rc1
« Reply #3 on: April 01, 2004, 09:25:27 AM »

Hola!!

Ya le he echado un vistazo a la página. Te cuento un par de cosillas que me han surgido:

Tenia todos los paquetes intalados con excepción de wxwin2.4-dev:
apt-get install wxwin2.4-dev
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
E: No se pudo encontrar el paquete wxwin2.4-dev

apt-cache search wxwin2.4
wxwin2.4-doc - wxWindows Cross-platform C++ GUI toolkit (documentation)
wxwin2.4-examples - wxWindows Cross-platform C++ GUI toolkit (examples)
wxwin2.4-headers - wxWindows Cross-platform C++ GUI toolkit (header files)
wxwin2.4-i18n - wxWindows Cross-platform C++ GUI toolkit (i18n support)

El paquete no aparece, al menos en los paquetes de Sarge.

De todas maneras tengo las wxwindow instaladas, poque he sido campaz de compilar y ejecutar sin problemas las versiones anteriores de aMule.

El siguiente problema que he encontrado es al instalar crypto:
make libcrypto.a
make: *** No hay ninguna regla para construir el objetivo `libcrypto.a'.  Alto.

Yo la he instalado simplemente haciendo make y make install. ¿Es esto correcto?

LA verdad es que mirando las trazas del error estoy un poco perdido.....

Muchas gracias por todo y felicitarte por el trabajo de documentación, la comunidad Debian seguro que estará muy agradecida  ;)
Logged

parasito

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Re: Problemas con aMule-2.0.0rc1
« Reply #4 on: April 01, 2004, 12:59:33 PM »

No os lo vais a creer, pero he hecho make clean y he vuelto a compilar y ha funcionado.

Muchas gracias por contestar Jacobo221
Logged

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: Problemas con aMule-2.0.0rc1
« Reply #5 on: April 01, 2004, 04:54:15 PM »

Hola de nuevo parasito <- eh! sin insultar... ;-)

> Tenia todos los paquetes intalados con excepción de wxwin2.4-dev
Cierto, se me coló, Ese paquete no existe, en su lugar deberia poner "wxwin2.4-headers" pero no es necesario instalarlo explicitamente ya que "libwxgtk2.4-dev" ya lo instala.

> Problema con "make libcrypto.a". Yo la he instalado simplemente haciendo make y make install. ¿Es esto correcto?
Perfectamente correcto, solo que mi sugerencia te evita compilar "cryptest.exe" de manera que la compilación resulta más veloz. Así que puedes estar muy tranquilo que si tienes algun problema con aMule no será culpa tuya ;-)
Para la proxima ocasión, te hago saber que en el texto debería poner "make libcryptopp.a". De nuevo, un nuevo error que gracias a tí he solucionado y con el que nadie mas tropezará.

> Muchas gracias por todo y felicitarte por el trabajo de documentación.
Gracias a tí por apreciar el esfuerzo que hay tras ese texto y mostrarme el error de "wxwin2.4-dev" y el de "make libcrypto.a" :-)

Un gran saludo y "happy aMuleing" :-P

P.D.: Todos los errores en la documentación los he modificado. Puedes sobreescribir tu copia de la documentación para la próxima vez que compiles aMule (con un poco de suerte eso será dentro de poco, con el v2-rc2!). De hecho, hay algunos cambios más de los que tu has apreciado (aunque ninguno de tanta gravedad ni por asomo :-D)
Logged

parasito

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 8
Re: Problemas con aMule-2.0.0rc1
« Reply #6 on: April 01, 2004, 11:39:49 PM »

Fijate, que pese a mi nick, me has hecho sentirme útil y todo!!!

Si alguna vez necesitas cualquier cosa, ya sabes que puedes contar conmigo.

Un saludo

PARA
Logged